/* Copyright (c) 2012 The Chromium Authors. All rights reserved.
 * Use of this source code is governed by a BSD-style license that can be
 * found in the LICENSE file. */

#saml-close-button {
  --cr-icon-button-margin-end: 0;
  --cr-icon-button-margin-start: 0;
}

/* Use the opacity CSS property in order to make the element invisible without
actually making it formally "hidden". This is used for hiding the webview
element during loading, without affecting its loading events. */
[transparent] {
  opacity: 0;
}

[animated-transparency][transparent] {
  transition: opacity 500ms ease-in;
}

[animated-transparency]:not([transparent]) {
  transition: opacity 500ms ease-out;
}

#signin-frame {
  /* TODO(https://crbug.com/1021866): Uncomment when the bug is fixed.
   * border-top-left-radius: 4px;
   * border-top-right-radius: 4px; */
  display: block;
  overflow: hidden;
}

#saml-notice-container {
  background: rgb(241, 243, 244); /* #F1F3F4 */
  box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.17);
  height: 44px;
}

#saml-notice-recording-indicator {
  padding-inline-end: 10px;
  padding-inline-start: 10px;
}

#saml-notice-message {
  color: rgb(106, 106, 106);
  font-size: 13px;
}

.icon20 {
  height: 20px;
  width: 20px;
}

#signin-frame-container {
  z-index: 10;
}

/* WebviewScrollShadowsHelper */
#signin-frame-container:not([hideshadows]) #signin-frame.can-scroll:not(.is-scrolled):not(.scrolled-to-bottom)::before {
  @apply --oobe-scroll-shadow-bottom;
}
#signin-frame-container:not([hideshadows]) #signin-frame.can-scroll.is-scrolled:not(.scrolled-to-bottom)::before {
  @apply --oobe-scroll-shadow-top-and-bottom;
}
#signin-frame-container:not([hideshadows]) #signin-frame.is-scrolled.scrolled-to-bottom::before {
  @apply --oobe-scroll-shadow-top;
}
